> ## Documentation Index
> Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Driving Licence Details

> Use this API to verify the driving license of your customer. We retrieve details of the driving licence that includes the type of licence, issue date, expiry date, and more. View the [test data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#driving-licence) and use the information to trigger the validations. The test data are usable only in the test environments such as gamma and sandbox.



## OpenAPI

````yaml post /driving-license
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Liveliness
    description: Operation related to Liveliness.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: BharatOCR
    description: Operations related to BharatOCR.
paths:
  /driving-license:
    post:
      tags:
        - Driving License
      summary: Verify Driving Licence Details
      description: >-
        Use this API to verify the driving license of your customer. We retrieve
        details of the driving licence that includes the type of licence, issue
        date, expiry date, and more. View the [test
        data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#driving-licence)
        and use the information to trigger the validations. The test data are
        usable only in the test environments such as gamma and sandbox.
      operationId: VrsDrivingLicenseVerification
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
      requestBody:
        $ref: '#/components/requestBodies/DrivingLicenseRequest'
      responses:
        '200':
          $ref: '#/components/responses/DrivingLicenseSuccessResponse'
        '400':
          $ref: '#/components/responses/Response400DrivingLicense'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '409':
          $ref: '#/components/responses/Response409DuplicateId'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
        '502':
          $ref: '#/components/responses/Response502V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: Send the signature if IP is not whitelisted.
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  requestBodies:
    DrivingLicenseRequest:
      description: >-
        Find the request paramenters to retrieve your customer's driving license
        information
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DrivingLicenseRequestSchema'
  responses:
    DrivingLicenseSuccessResponse:
      description: Success response for retrieving the driving licence information
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DrivingLicenseResponseSchema'
          examples:
            VALID:
              value:
                verification_id: 69c5077c-d95a-48cb-b428-4ced025db671
                reference_id: 76
                dl_number: KA51201900089895
                dob: '1994-08-05'
                status: VALID
                badge_details:
                  - badge_issue_date: null
                    badge_no: null
                    class_of_vehicle:
                      - LMV
                dl_validity:
                  non_transport:
                    to: 09/05/2039
                    from: 10/05/2019
                  hazardous_valid_till: null
                  transport:
                    to: null
                    from: null
                  hill_valid_till: null
                details_of_driving_licence:
                  date_of_issue: 10/05/2019
                  date_of_last_transaction: null
                  status: null
                  last_transacted_at: null
                  name: JOHN DOE
                  father_or_husband_name: JOHN DOE
                  address_list:
                    - complete_address: >-
                        FLAT NO D-901 SUN,BELLANDUR, BANGALORE
                        SOUTH,BANGALORE,KA 560103
                      type: permanent
                      split_address:
                        district:
                          - BANGALORE
                        state:
                          - - KARNATAKA
                            - KA
                        city:
                          - BELLANDUR
                        pincode: '560103'
                        country:
                          - IN
                          - IND
                          - INDIA
                        address_line: >-
                          FLAT NO D-901 SUN,BELLANDUR, BANGALORE
                          SOUTH,BANGALORE,KA 560103
                    - complete_address: >-
                        FLAT NO D-901 SUN,BELLANDUR, BANGALORE
                        SOUTH,BANGALORE,KA 560103
                      type: temporary
                      split_address:
                        district:
                          - BANGALORE
                        state:
                          - - KARNATAKA
                            - KA
                        city:
                          - BELLANDUR
                        pincode: '560103'
                        country:
                          - IN
                          - IND
                          - INDIA
                        address_line: >-
                          FLAT NO D-901 SUN,BELLANDUR, BANGALORE
                          SOUTH,BANGALORE,KA 560103
                  address: >-
                    FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA
                    560103
                  split_address:
                    district:
                      - BANGALORE
                    state:
                      - ''
                    city:
                      - BELLANDUR
                    pincode: '560103'
                    country:
                      - IN
                      - IND
                      - INDIA
                    address_line: >-
                      FLAT NO D-901 SUNCITY,BELLANDUR, BANGALORE
                      SOUTH,BANGALORE,KA 560103
                  cov_details: []
            INVALID:
              value:
                verification_id: 69c5077c-d95a-48cb-b428-4ced025db676
                reference_id: 78
                dl_number: null
                dob: null
                status: INVALID
                badge_details: null
                dl_validity:
                  non_transport:
                    to: null
                    from: null
                  hazardous_valid_till: null
                  transport:
                    to: null
                    from: null
                  hill_valid_till: null
                details_of_driving_licence:
                  date_of_issue: null
                  date_of_last_transaction: null
                  status: null
                  last_transacted_at: null
                  name: null
                  father_or_husband_name: null
                  address_list: null
                  address: null
                  split_address:
                    district: null
                    state: null
                    city: null
                    pincode: null
                    country: null
                    address_line: null
                  cov_details: null
    Response400DrivingLicense:
      description: Validation errors for Verify Driving Licence API
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid Driving license:
              $ref: '#/components/examples/InvalidDrivingLicense'
            Invalid Dob:
              $ref: '#/components/examples/InvalidDob'
            Dob missing:
              $ref: '#/components/examples/DobMissing'
            Verification Id Missing:
              $ref: '#/components/examples/VerificationIdMissing'
            Verifcation Id character limit exceeded:
              $ref: '#/components/examples/VerificationIDCharacterLimitExceeded'
            Invalid Verification ID:
              $ref: '#/components/examples/InvalidVerificationId'
            Client ID/Client Secret Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
    Response409DuplicateId:
      description: Conflict error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Conflict Error:
              value:
                type: validation_error
                code: verification_id_already_exists
                message: verification ID already exists
    Response422:
      description: Validation error because of insufficient balance to process this request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Insufficient balance:
              value:
                type: validation_error
                code: insufficient_balance
                message: Insufficient balance to process this request
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
    Response502V2:
      description: Gateway error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Bad Gateway:
              value:
                type: internal_error
                code: verification_failed
                message: verification attempt failed
  schemas:
    DrivingLicenseRequestSchema:
      type: object
      example:
        verification_id: test001
        dl_number: KA0120198900984
        dob: '1994-08-05'
      required:
        - verification_id
        - dl_number
        - dob
      properties:
        verification_id:
          description: >-
            It is the unique ID you create to identify the verification request.
            A maximum of 50 characters are allowed. Only alphanumeric, period
            (.), hyphen (-) and underscore ( _ ) are allowed.
          type: string
          example: test001
          default: test001
        dl_number:
          description: It is the driving licence number of the individual for verification.
          type: string
          example: KA0120198900984
          default: KA0120198900984
        dob:
          description: >-
            It is the date of birth of the individual as present in the driving
            licence. The accepted format is YYYY-MM-DD.
          type: string
          example: '1994-08-05'
          default: '1994-08-05'
    DrivingLicenseResponseSchema:
      type: object
      example:
        value:
          verification_id: 69c5077c-d95a-48cb-b428-4ced025db671
          reference_id: 76
          dl_number: KA51201900089895
          dob: '1994-08-05'
          status: VALID
          badge_details:
            - badge_issue_date: null
              badge_no: null
              class_of_vehicle:
                - LMV
          dl_validity:
            non_transport:
              to: 09/05/2039
              from: 10/05/2019
              hazardous_valid_till: null
              transport:
                to: null
                from: null
              hill_valid_till: null
            details_of_driving_licence:
              date_of_issue: 10/05/2019
              date_of_last_transaction: null
              status: null
              last_transacted_at: null
              name: JOHN DOE
              father_or_husband_name: JOHN DOE
              address_list:
                - complete_address: >-
                    FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA
                    560103
                  type: permanent
                  split_address:
                    district:
                      - BANGALORE
                    state:
                      - KARNATAKA
                      - KA
                    city:
                      - BELLANDUR
                    pincode: '560103'
                    country:
                      - IN
                      - IND
                      - INDIA
                    address_line: >-
                      FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA
                      560103
                - complete_address: >-
                    FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA
                    560103
                  type: temporary
                  split_address:
                    district:
                      - BANGALORE
                    state:
                      - KARNATAKA
                      - KA
                    city:
                      - BELLANDUR
                    pincode: '560103'
                    country:
                      - IN
                      - IND
                      - INDIA
                    address_line: >-
                      FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA
                      560103
              address: FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103
              photo: PHOTO_LINK.jpeg
              split_address:
                district:
                  - BANGALORE
                state:
                  - ''
                city:
                  - BELLANDUR
                pincode: '560103'
                country:
                  - IN
                  - IND
                  - INDIA
                address_line: >-
                  FLAT NO D-901 SUNCITY,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA
                  560103
                cov_details: []
      properties:
        verification_id:
          type: string
          description: It displays the unique ID you created to identify this API request.
          example: test001
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          example: 78
        dl_number:
          type: string
          description: It displays the unique number assigned to the driving licence.
          example: JK01FG8087
        dob:
          type: string
          description: >-
            It displays the date of birth of the individual as present in the
            driving licence.
          example: '2001-10-23'
        status:
          type: string
          description: |-
            It displays the status of the driving licence.
            Possible values are 
            - `VALID`: driving license is valid.
            - `INVALID`: driving licence is invalid.
          example: VALID
        badge_details:
          type: array
          description: It contains the...
          items:
            $ref: '#/components/schemas/BadgeDetails'
        dl_validity:
          type: object
          description: >-
            It contains the different information regarding the validity of the
            licence.
          properties:
            non_transport:
              $ref: '#/components/schemas/ValidityDetails'
            hazardous_valid_till:
              type: string
              format: date
              description: >-
                It displays till when the individual can drive hazardous
                vehicle.
              example: '2001-10-23'
            transport:
              $ref: '#/components/schemas/ValidityDetails'
            hill_valid_till:
              type: string
              format: date
              description: >-
                It displays till when the individual can drive the vehicle in
                hill and mountain regions.
              example: '2001-10-23'
        details_of_driving_licence:
          $ref: '#/components/schemas/DrivingLicenceDetails'
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
    BadgeDetails:
      type: object
      description: >-
        It contains information regarding any badges or emblems affixed to the
        vehicle. These badges could indicate various things such as the
        vehicle's model, trim level, special editions, or manufacturer-specific
        badges.
      example:
        badge_issue_date: '2023-10-23'
        badge_no: '2389082'
        class_of_vehicle: LMV
      properties:
        badge_issue_date:
          type: string
          description: It displays the date of the badge issued.
          example: '2023-10-23'
        badge_no:
          type: string
          description: It displays the number of the badge issued.
          example: '2389082'
        class_of_vehicle:
          type: array
          description: It displays the class of the vehicle.
          items:
            type: string
            example:
              - LMV
    ValidityDetails:
      type: object
      description: It contains the validity details.
      example:
        value:
          to: '2023-10-23'
          from: '2023-10-23'
      properties:
        to:
          type: string
          format: date
          example: '2023-10-23'
        from:
          type: string
          format: date
          example: '2023-10-23'
    DrivingLicenceDetails:
      type: object
      description: It contains the details of the driving licence.
      example:
        value:
          date_of_issue: 10/05/2019
          date_of_last_transaction: null
          status: null
          last_transacted_at: null
          name: JOHN DOE
          father_or_husband_name: JOHN DOE
          address_list:
            - complete_address: FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103
              type: permanent
              split_address:
                district:
                  - BANGALORE
                state:
                  - KARNATAKA
                  - KA
                city:
                  - BELLANDUR
                pincode: '560103'
                country:
                  - IN
                  - IND
                  - INDIA
                address_line: >-
                  FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA
                  560103
            - complete_address: FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103
              type: temporary
              split_address:
                district:
                  - BANGALORE
                state:
                  - KARNATAKA
                  - KA
                city:
                  - BELLANDUR
                pincode: '560103'
                country:
                  - IN
                  - IND
                  - INDIA
                address_line: >-
                  FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA
                  560103
          address: FLAT NO D-901 SUN,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA 560103
          split_address:
            district:
              - BANGALORE
            state:
              - ''
            city:
              - BELLANDUR
            pincode: '560103'
            country:
              - IN
              - IND
              - INDIA
            address_line: >-
              FLAT NO D-901 SUNCITY,BELLANDUR, BANGALORE SOUTH,BANGALORE,KA
              560103
            cov_details: []
      properties:
        date_of_issue:
          type: string
          format: date
          example: '2023-10-23'
        date_of_last_transaction:
          type: string
          format: date
          example: '2023-10-23'
        status:
          type: string
          example: ACTIVE
        last_transacted_at:
          type: string
          format: date
          example: '2023-10-23'
        name:
          type: string
          example: John Doe
        father_or_husband_name:
          type: string
          example: John Doe
        address_list:
          type: array
          items:
            $ref: '#/components/schemas/AddressDetails'
        address:
          type: string
        photo:
          type: string
        split_address:
          type: object
          properties:
            district:
              type: array
              items:
                type: string
                example:
                  - Bangalore
            state:
              type: array
              items:
                type: array
                items:
                  type: string
                  example:
                    - KARNATAKA
                    - KA
            city:
              type: array
              items:
                type: string
                example:
                  - Bangalore
            pincode:
              type: string
              example: '560102'
            country:
              type: array
              items:
                type: string
                example:
                  - INDIA
                  - IND
                  - IN
            address_line:
              type: string
              example: S-90 SunTower, GopiNagar, Banaglore, KA - 560109
        cov_details:
          type: array
          items:
            type: object
    AddressDetails:
      description: It contains the address information of the individual.
      type: object
      example:
        complete_address: S-90 SunTower, GopiNagar, Banaglore, KA - 560109
        type: permanent
        split_address:
          district:
            - BANGALORE
          state:
            - KARNATAKA
            - KA
          city:
            - BELLANDUR
          pincode: '560103'
          country:
            - IN
            - IND
            - INDIA
          address_line: S-90 SunTower, GopiNagar, Banaglore, KA - 560109
      properties:
        complete_address:
          type: string
          description: It displays the complete address information of the individual.
          example: S-90 SunTower, GopiNagar, Banaglore, KA - 560109
        type:
          type: string
          description: It displays the type of the address information.
          example: Permanent/Temporary
        split_address:
          type: object
          description: It displays the address information in individual components.
          properties:
            district:
              type: array
              description: It displays the name of the district.
              items:
                type: string
                example:
                  - Bangalore
            state:
              type: array
              description: It displays the name of the state.
              items:
                type: array
                items:
                  type: string
                  example:
                    - Karnataka
                    - KA
            city:
              type: array
              description: It displays the name of the city.
              items:
                type: string
                example: Banaglore
            pincode:
              type: string
              description: It displays the PIN code information.
              example: 560109
            country:
              type: array
              description: It displays the name of the country.
              items:
                type: string
                example:
                  - INDIA
                  - IND
            address_line:
              type: string
              description: It displays the address information.
              example: S-90 SunTower, GopiNagar, Banaglore, KA - 560109
  examples:
    InvalidDrivingLicense:
      value:
        type: validation_error
        code: driving_license_value_invalid
        message: driving license is invalid
    InvalidDob:
      value:
        type: validation_error
        code: dob_value_invalid
        message: dob should be of type YYYY-MM-DD.
    DobMissing:
      value:
        type: validation_error
        code: dob_missing
        message: dob is missing in the request.
    VerificationIdMissing:
      value:
        type: validation_error
        code: verification_id_missing
        message: verification_id is missing in the request.
    VerificationIDCharacterLimitExceeded:
      value:
        type: validation_error
        code: verification_id_length_exceeded
        message: verification_id can include a maximum of 50 characters.
    InvalidVerificationId:
      value:
        type: validation_error
        code: verification_id_value_invalid
        message: verification_id can include only alphanum, dot, hyphen and underscores
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client ID. You can find your ID in the [Merchant
        Dashboard](https://telr.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://telr.cashfree.com/verificationsuite/developers/api-keys).

````